Package org.wso2.carbon.deployment.synchronizer.git

## Class DefaultGitRepositoryManager

- java.lang.Object
- - org.wso2.carbon.deployment.synchronizer.RepositoryManager
  - - org.wso2.carbon.deployment.synchronizer.git.DefaultGitRepositoryManager

- Direct Known Subclasses:
    `SingleTenantGitRepositoryManager`

      public class DefaultGitRepositoryManager
      extends org.wso2.carbon.deployment.synchronizer.RepositoryManager

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `gitServerAdminPassword` |
    `protected String` | `gitServerAdminUserName` |
    `protected String` | `gitServerUrl` |

    - ### Fields inherited from class org.wso2.carbon.deployment.synchronizer.RepositoryManager

      `repositoryCreator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultGitRepositoryManager()` |
    `DefaultGitRepositoryManager​(org.wso2.carbon.deployment.synchronizer.RepositoryCreator repositoryCreator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRepository​(int tenantId, String url)` |
    `org.wso2.carbon.deployment.synchronizer.RepositoryInformation` | `getCredentialsInformation​(int tenantId)` |
    `org.wso2.carbon.deployment.synchronizer.RepositoryInformation` | `getUrlInformation​(int tenantId)` |
    `void` | `provisionRepository​(int tenantId)` |

    - ### Methods inherited from class org.wso2.carbon.deployment.synchronizer.RepositoryManager

      `setRepositoryCreator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gitServerUrl

          protected String gitServerUrl

    - #### gitServerAdminUserName

          protected String gitServerAdminUserName

    - #### gitServerAdminPassword

          protected String gitServerAdminPassword

  - ### Constructor Detail

    - #### DefaultGitRepositoryManager

          public DefaultGitRepositoryManager()

    - #### DefaultGitRepositoryManager

          public DefaultGitRepositoryManager​(org.wso2.carbon.deployment.synchronizer.RepositoryCreator repositoryCreator)

  - ### Method Detail

    - #### getUrlInformation

          public org.wso2.carbon.deployment.synchronizer.RepositoryInformation getUrlInformation​(int tenantId)
                                                                                          throws org.wso2.carbon.deployment.synchronizer.DeploymentSynchronizerException

      Specified by:
        `getUrlInformation` in class `org.wso2.carbon.deployment.synchronizer.RepositoryManager`
      Throws:
        `org.wso2.carbon.deployment.synchronizer.DeploymentSynchronizerException`

    - #### getCredentialsInformation

          public org.wso2.carbon.deployment.synchronizer.RepositoryInformation getCredentialsInformation​(int tenantId)
                                                                                                  throws org.wso2.carbon.deployment.synchronizer.DeploymentSynchronizerException

      Specified by:
        `getCredentialsInformation` in class `org.wso2.carbon.deployment.synchronizer.RepositoryManager`
      Throws:
        `org.wso2.carbon.deployment.synchronizer.DeploymentSynchronizerException`

    - #### provisionRepository

          public void provisionRepository​(int tenantId)
                                   throws org.wso2.carbon.deployment.synchronizer.DeploymentSynchronizerException

      Specified by:
        `provisionRepository` in class `org.wso2.carbon.deployment.synchronizer.RepositoryManager`
      Throws:
        `org.wso2.carbon.deployment.synchronizer.DeploymentSynchronizerException`

    - #### addRepository

          public void addRepository​(int tenantId,
                                    String url)
                             throws org.wso2.carbon.deployment.synchronizer.DeploymentSynchronizerException

      Specified by:
        `addRepository` in class `org.wso2.carbon.deployment.synchronizer.RepositoryManager`
      Throws:
        `org.wso2.carbon.deployment.synchronizer.DeploymentSynchronizerException`